Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in MariaDB
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in MariaDB
ID: SUSE-SU-2018:0697-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server for SAP 12-SP1, SUSE OpenStack Cloud 6, SUSE Linux Enterprise Desktop 12-SP2, SUSE Linux Enterprise Software Development Kit 12-SP2, SUSE Linux Enterprise Server 12-SP2, SUSE Linux Enterprise Server for Raspberry Pi 12-SP2, SUSE Linux Enterprise Workstation Extension 12-SP2, SUSE Linux Enterprise Server 12-SP1-LTSS, SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Linux Enterprise Workstation Extension 12-SP3, SUSE Linux Enterprise Software Development Kit 12-SP3
Datum: Fr, 16. März 2018, 07:26
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2668
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2665
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2612
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2622
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2640
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2562
Applikationen: MariaDB

Originalnachricht

   SUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:0697-1
Rating: important
References: #1078431
Cross-References: CVE-2018-2562 CVE-2018-2612 CVE-2018-2622
CVE-2018-2640 CVE-2018-2665 CVE-2018-2668

Affected Products:
SUSE OpenStack Cloud 6
SUSE Linux Enterprise Workstation Extension 12-SP3
SUSE Linux Enterprise Workstation Extension 12-SP2
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Software Development Kit 12-SP2
SUSE Linux Enterprise Server for SAP 12-SP1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Server 12-SP1-LTSS
SUSE Linux Enterprise Desktop 12-SP3
SUSE Linux Enterprise Desktop 12-SP2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:



This update for mariadb fixes the following issues:

MariaDB was updated to 10.0.34 (bsc#1078431)

The following security vulnerabilities are fixed:

- CVE-2018-2562: Vulnerability in the MySQL Server subcomponent: Server :
Partition. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server as well as unauthorized update, insert or
delete access to some of MySQL Server accessible data.
- CVE-2018-2622: Vulnerability in the MySQL Server subcomponent: Server:
DDL. Easily exploitable vulnerability allowed low privileged attacker
with network access via multiple protocols to compromise MySQL Server.
Successful attacks of this vulnerability can result in unauthorized
ability to cause a hang or frequently repeatable crash (complete DOS) of
MySQL Server.
- CVE-2018-2640: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2665: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2668: Vulnerability in the MySQL Server subcomponent: Server:
Optimizer. Easily exploitable vulnerability allowed low privileged
attacker with network access via multiple protocols to compromise MySQL
Server. Successful attacks of this vulnerability can result in
unauthorized ability to cause a hang or frequently repeatable crash
(complete DOS) of MySQL Server.
- CVE-2018-2612: Vulnerability in the MySQL Server subcomponent: InnoDB.
Easily exploitable vulnerability allowed high privileged attacker with
network access via multiple protocols to compromise MySQL Server.
Successful attacks of this vulnerability can result in unauthorized
creation, deletion or modification access to critical data or all MySQL
Server accessible data and unauthorized ability to cause a hang or
frequently repeatable crash (complete DOS) of MySQL Server.


The MariaDB external release notes and changelog for this release:

* https://kb.askmonty.org/en/mariadb-10034-release-notes
* https://kb.askmonty.org/en/mariadb-10034-changelog


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE OpenStack Cloud 6:

zypper in -t patch SUSE-OpenStack-Cloud-6-2018-478=1

- SUSE Linux Enterprise Workstation Extension 12-SP3:

zypper in -t patch SUSE-SLE-WE-12-SP3-2018-478=1

- SUSE Linux Enterprise Workstation Extension 12-SP2:

zypper in -t patch SUSE-SLE-WE-12-SP2-2018-478=1

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-478=1

- SUSE Linux Enterprise Software Development Kit 12-SP2:

zypper in -t patch SUSE-SLE-SDK-12-SP2-2018-478=1

- SUSE Linux Enterprise Server for SAP 12-SP1:

zypper in -t patch SUSE-SLE-SAP-12-SP1-2018-478=1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

zypper in -t patch SUSE-SLE-RPI-12-SP2-2018-478=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-478=1

- SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2018-478=1

- SUSE Linux Enterprise Server 12-SP1-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2018-478=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-478=1

- SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2018-478=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE OpenStack Cloud 6 (x86_64):

libmysqlclient-devel-10.0.34-29.16.1
libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqld-devel-10.0.34-29.16.1
libmysqld18-10.0.34-29.16.1
libmysqld18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Workstation Extension 12-SP3 (x86_64):

libmysqlclient_r18-10.0.34-29.16.1
libmysqlclient_r18-32bit-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1

- SUSE Linux Enterprise Workstation Extension 12-SP2 (x86_64):

libmysqlclient_r18-10.0.34-29.16.1
libmysqlclient_r18-32bit-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

libmysqlclient-devel-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqld-devel-10.0.34-29.16.1
libmysqld18-10.0.34-29.16.1
libmysqld18-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1

- SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le
s390x x86_64):

libmysqlclient-devel-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqld-devel-10.0.34-29.16.1
libmysqld18-10.0.34-29.16.1
libmysqld18-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (ppc64le x86_64):

libmysqlclient-devel-10.0.34-29.16.1
libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqld-devel-10.0.34-29.16.1
libmysqld18-10.0.34-29.16.1
libmysqld18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP3 (s390x x86_64):

libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le s390x x86_64):

libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP2 (s390x x86_64):

libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (ppc64le s390x x86_64):

libmysqlclient-devel-10.0.34-29.16.1
libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqld-devel-10.0.34-29.16.1
libmysqld18-10.0.34-29.16.1
libmysqld18-debuginfo-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1
mariadb-tools-10.0.34-29.16.1
mariadb-tools-debuginfo-10.0.34-29.16.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (s390x x86_64):

libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqlclient_r18-32bit-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

libmysqlclient18-10.0.34-29.16.1
libmysqlclient18-32bit-10.0.34-29.16.1
libmysqlclient18-debuginfo-10.0.34-29.16.1
libmysqlclient18-debuginfo-32bit-10.0.34-29.16.1
libmysqlclient_r18-10.0.34-29.16.1
libmysqlclient_r18-32bit-10.0.34-29.16.1
mariadb-10.0.34-29.16.1
mariadb-client-10.0.34-29.16.1
mariadb-client-debuginfo-10.0.34-29.16.1
mariadb-debuginfo-10.0.34-29.16.1
mariadb-debugsource-10.0.34-29.16.1
mariadb-errormessages-10.0.34-29.16.1


References:

https://www.suse.com/security/cve/CVE-2018-2562.html
https://www.suse.com/security/cve/CVE-2018-2612.html
https://www.suse.com/security/cve/CVE-2018-2622.html
https://www.suse.com/security/cve/CVE-2018-2640.html
https://www.suse.com/security/cve/CVE-2018-2665.html
https://www.suse.com/security/cve/CVE-2018-2668.html
https://bugzilla.suse.com/1078431

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung